VPS侦探论坛

 找回密码
 注册
查看: 1198|回复: 1

Rocky8.7安装lnmp1.9正式版 mysql安装失败

[复制链接]
发表于 2023-5-12 14:07:18 | 显示全部楼层 |阅读模式

1、CentOS7.6腾讯云轻量2C2G40G系统盘服务器,腾讯云CentOS7.6系统镜像,按从Centos-7迁移到RockyLinux-8.7的教程  方法手动升级到Rocky8.7,服务器返回版本信息如下

  1. [root@VM-4-3-centos lnmp1.9]# uname -a
  2. Linux VM-4-3-centos 4.18.0-425.19.2.el8_7.x86_64 #1 SMP Tue Apr 4 22:38:11 UTC 2023 x86_64 x86_64 x86_64 GNU/Linux

  3. [root@VM-4-3-centos lnmp1.9]# cat /etc/os-release
  4. NAME="Rocky Linux"
  5. VERSION="8.7 (Green Obsidian)"
  6. ID="rocky"
  7. ID_LIKE="rhel centos fedora"
  8. VERSION_ID="8.7"
  9. PLATFORM_ID="platform:el8"
  10. PRETTY_NAME="Rocky Linux 8.7 (Green Obsidian)"
  11. ANSI_COLOR="0;32"
  12. LOGO="fedora-logo-icon"
  13. CPE_NAME="cpe:/o:rocky:rocky:8:GA"
  14. HOME_URL="https://rockylinux.org/"
  15. BUG_REPORT_URL="https://bugs.rockylinux.org/"
  16. ROCKY_SUPPORT_PRODUCT="Rocky-Linux-8"
  17. ROCKY_SUPPORT_PRODUCT_VERSION="8.7"
  18. REDHAT_SUPPORT_PRODUCT="Rocky Linux"
  19. REDHAT_SUPPORT_PRODUCT_VERSION="8.7"
复制代码


使用自动命令
  1. wget http://soft.vpser.net/lnmp/lnmp1.9.tar.gz -cO lnmp1.9.tar.gz && tar zxf lnmp1.9.tar.gz && cd lnmp1.9 && LNMP_Auto="y" DBSelect="5" Bin="n" DB_Root_Password="lnmp.org_3542" InstallInnodb="y" PHPSelect="11" SelectMalloc="2" ./install.sh lnmp
复制代码

安装lnmp1.9正式版,最终报错mysql8.0安装失败

完整的安装日志如下:
Rocky8.7安装lnmp1.9失败日志,

请军哥指点如何安装成功




补充内容 (2023-5-12 14:05):
安装失败日志地址 https://t.wss.ink/f/b6uenta4kbm

补充内容 (2023-5-12 14:06):
CentOS7.6 升级到 Rocky8.7  :  https://zhuanlan.zhihu.com/p/571385318
美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2023-5-13 21:05:56 | 显示全部楼层


-- Looking for EVFILT_TIMER
-- Looking for EVFILT_TIMER - not found
CMake Error at configure.cmake:334 (MESSAGE):
  No mysys timer support detected!
Call Stack (most recent call first):
  CMakeLists.txt:1563 (INCLUDE)


-- Configuring incomplete, errors occurred!
See also "/root/lnmp1.9/src/mysql-8.0.30/build/CMakeFiles/CMakeOutput.log".
See also "/root/lnmp1.9/src/mysql-8.0.30/build/CMakeFiles/CMakeError.log".

你这是 mysql-8.0.30,明显是不符合 https://lnmp.org/install.html 安装要求的。
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2024-5-23 17:45 , Processed in 0.025154 second(s), 16 queries .

Powered by Discuz! X3.4

© 2001-2023 Discuz! Team.

快速回复 返回顶部 返回列表